﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.ClientEnablers
@{
    ViewData["Title"] = "Index";
}

<script>
    $(document).ready(function () {
        $('.chosen-select').chosen();
     
    })
    function fn_Organization(input, input2, name) {
        if ($('.addApplications').hasClass("active")) {
            $('.addApplications').removeClass("active");
            $(".selectOrganization ul li").removeClass("active");
            setTimeout(() => {
                $('.addApplications').removeClass("in");
                $('#tblApplications').empty();
            }, 300);
            setTimeout(() => {
                $('.addApplications').addClass("in");
                $(".selectOrganization ul li").removeClass("active");
                setTimeout(() => {
                    $('.addApplications').addClass("active");
                    $('#txtHeading').html(name);
                    $(input2).parent().parent().addClass('active');
                    animationbox(input)
                }, 400);
            }, 400);
        } else {
            $('.addApplications').addClass("in");
            $(".selectOrganization ul li").removeClass("active");
            setTimeout(() => {
                $('.addApplications').addClass("active");
                $('#txtHeading').html(name);
                $(input2).parent().parent().addClass('active');
                animationbox(input)
            }, 200);
        }

        var id = input;
        $('#txtHiddenControl').val(input);
        /*    $('#txtHiddenFlag').val(flag);*/


    }
    function animationbox(input) {
        var id = input;
        $.ajax({
            url: "/ApplicationManagement/ClientEnabler/GetAddPartiipate",
            type: "POST",
            data: { id: id, OrganizationId: $('#parentOrgId').val() },
            success: function (result) {
                $('#tblApplications').empty();
                $('#tblApplications').append(result);
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
    }
    function AddMoreAnswers(input) {
        debugger;
        var srNo = 1;
        var tdLength = $(input).closest('tr').find('td').length;
        var sn = parseInt($(input).closest('tbody').find("tr").length + 1);
        var html = '<tr><td style="color:black">' + sn + '</td>';

        for (var i = 0; i < tdLength; i++) {
            if (i == 0 || i == tdLength - 1) { continue; }
            html += '<td>';
            html += $(input).closest('tbody').find('tr:first td').eq(i).html();
            html += '</td>';
        }
        html += '<td><span class="clickIcon remove value="-" onclick="$(this).closest(\'tr\').remove()"></span></td></tr>';
        $(input).closest('tbody').append(html);
        $(input).closest('tbody').find('tr:last td input[type=text]').val('');
        $(input).closest('tbody').find('tr:last td input[type=hidden]').val(0);
    }
    $('#tblApplications').on('click', '.remove', function () {
        $(this).closest('tr').remove();
    })
    function SaveQuestionnaire() {
        debugger;
        $('#preloader').show();
        var QuestionnaireXML = [], Sn = 0;

        $('.hidden').each(function (i, element) {
            debugger
            var str = $(element).val();
            $('.questionId' + $(element).val()).each(function (j, item) {
                debugger
                QuestionnaireXML[Sn++] = {
                    QuestionId: $(element).val(),
                    Id: $(this).next('input').val(),
                    Answer: $(item).val(),
                    RowNo: (j + 1)
                }
            })

        });
        console.log(QuestionnaireXML);
        var PeopleGovernanceXML = [], Snnn = 0;
        let GovernanceClass = "";
        $(".GovernanceClass").each(function (i, element) {
            GovernanceClass = $(this).is(":checked") ? "true" : "false";
            var flag = $(element).parent().find('input').val();
            if (GovernanceClass == "true" && flag == 1) {
                debugger
                var str = $(this).val();
                PeopleGovernanceXML[Snnn++] = {
                    CategoryId: $(element).val()
                }
            }
        })

        /*     alert(JSON.stringify(PeopleGovernanceXML));*/
        var model = {
            Id: $('#parentOrgId').val(),
            CategoryId: $('#txtHiddenControl').val(),
            QuestionnaireXML: JSON.stringify(QuestionnaireXML),
            PeopleGovnXML: JSON.stringify(PeopleGovernanceXML)
        }
        $.post('/ApplicationManagement/ClientEnabler/SubmitClientEnabler', { model: model }, function (res) {
            if (res.isSuccess) {
                $('.addApplications').removeClass("active");
                $(".selectOrganization ul li").removeClass("active");
                $('.addApplications').removeClass("in");
                $('#tblApplications').empty();
                toastr.success('Saved successfully');
            } else {
                toastr.error('Something went wrong!');
            }
        });
    }
    function EditOrganization(input) {
        var str = $(input).val();
        if (str > 0) {
            $('.addApplications').removeClass("active");
            $(".selectOrganization ul li").removeClass("active");
            $('.addApplications').removeClass("in");
            $('#tblApplications').empty();
            $.post('/ApplicationManagement/ClientEnabler/EditOrganizaton', { Id: str }, function (res) {
                if (res.length > 0) {
                    $('.selectOrganization').empty();
                    $('.selectOrganization').append(res);
                } else {
                    toastr.error('Something went wrong!');
                }
            });
        }
        else {
            $('.selectOrganization').empty();
            $('#tblApplications').empty();
        }
    }
</script>

<style>
    .table_control table th {
        background: #26d0ce;
    }

    .btnsubmit input {
        width: 15%;
        float: right;
        padding: 8px 16px;
        border: none;
        background: #414141;
        color: #fff;
        text-align: center;
        font-size: 14px;
        -o-transition: 0.3s;
        -moz-transition: 0.3s;
        -webkit-transition: 0.3s;
        transition: 0.3s;
    }

    .btnCross {
        float: right;
        padding: 0px 18px;
    }

        .btnCross a {
            font-size: 13px;
        }
</style>

<section>
    @Html.HiddenFor(m => m.CategoryId)

    <input type="hidden" id="txtHiddenControl" value="0" />
    <input type="hidden" id="txtHiddenFlag" value="0" />
    <input type="hidden" id="txtHiddenPeopleGovnXML" value="0" />
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Assign Enabler Category
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="ChildOrganization" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-3">
                            <label class="required">Organization</label>
                            <div class="select_box m_bottom">
                                <select class="form-control m_no chosen-select" id="parentOrgId" onchange="EditOrganization(this)">
                                    <option value="0">Select Organization</option>
                                    @foreach (var item in Model.OrganizationList)
                                    {
                                        <option value="@item.Id">@item.OrgName</option>
                                    }
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="selectOrganization">
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="addApplications">
                                <div class="row btnCross"><a href="#" onclick="$(this).parent().parent('div').removeClass('active'); $('li').removeClass('active')">X</a></div><h3 id="txtHeading"></h3>
                                <div class="applicationList table_control">
                                    <table class="table" id="tblApplications">
                                        <thead>
                                        </thead>
                                    </table>
                                </div>
                                <div style="text-align:right" class="btnsubmit">
                                    <input type="submit" name="name" class="" value="Submit" onclick="SaveQuestionnaire()" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>